Bug 1449157 - [RHEV provider][vm provision] Specifying vnic profile on virtual nic instead of network.
Summary: [RHEV provider][vm provision] Specifying vnic profile on virtual nic instead ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Alona Kaplan
QA Contact: Angelina Vasileva
URL:
Whiteboard: rhev
Depends On:
Blocks: 1533499
TreeView+ depends on / blocked
 
Reported: 2017-05-09 10:07 UTC by Alona Kaplan
Modified: 2019-08-19 08:26 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.0
Doc Type: Release Note
Doc Text:
The purpose of the 'vm_fields.vlan' field was changed for v4 RHV providers. * In the v3 API it represents the 'network name'. * In the v4 API (if 'use_ovirt_engine_sdk' is specified in the setting as 'true') it represents the 'vnic profile id' or 'profile name (network name)'. Example: /api/provision_requests 1. Provision a virtual machine with one vNic where the 'profile_id' of the vNic is '9c61ef19-f8aa-4ce3-bc24-49d211c1d019'. "vm_fields" : { ... "vlan" : "9c61ef19-f8aa-4ce3-bc24-49d211c1d019" } 2. Provision a virtual machine with one vNic where the 'profile_name' of the vNic is 'ovirtmgmt' and the network name is 'ovirtmgmt'. "vm_fields" : { ... "vlan" : "ovirtmgmt (ovirtmgmt)" } 3. Provision a virtual machine with one vNic where the vNic has no profile. "vm_fields" : { ... "vlan" : "<Empty>" } 4. Provision a virtual machine keeping the source template vNics. "vm_fields" : { ... "vlan" : "<Template>" }
Clone Of:
: 1533499 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:00:34 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 150 0 None closed Set '<Use template nics>' as the default vnic profile option 2020-12-24 18:14:30 UTC
Github ManageIQ manageiq-providers-ovirt pull 151 0 None closed Change "Empty" to "No Profile" in profile list 2020-12-24 18:14:28 UTC
Github ManageIQ manageiq pull 16504 0 None closed Adding the option to set default vlan 2020-12-24 18:14:30 UTC

Description Alona Kaplan 2017-05-09 10:07:56 UTC
Description of problem:

RHEV provider=> vm provision -
Specifying vnic profile on virtual nics instead of network.

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Open provision vm dialog
2. select a source template
3. go to the network tab

Actual results:
A list of networks (taken from the hosts/selected host) is displayed.

Expected results:
- If the ovirt's provider version >= 4
  A list of vnic profiles should be displayed.
- ovirt's provider version < 4 should work as before.


Additional info:
Same for rest api. For version 4 ovirt provider, a 'vnic profile-id' should be supplied in the 'vlan' field and not the 'network-name'.
Example-
{
  "version" : "1.1",
  "template_fields" : {
    "guid" :"ef14be00-27fa-11e7-9a72-54ee7525f88c"
  },
  "vm_fields" : {
    "number_of_cpus" : 1,
    "vm_name" : "vm1",
    "vm_memory" : "1024",
    "vlan" : "9c61ef19-f8aa-4ce3-bc24-49d211c1d019"
  },
  "requester" : {
    "user_name" : "admin",
    "owner_first_name" : "John",
    "owner_last_name" : "Doe",
    "owner_email" : "jdoe@sample.com",
    "auto_approve" : true
  },
  "ems_custom_attributes" : { },
  "miq_custom_attributes" : { }
}

Comment 4 Ilanit Stein 2017-07-30 13:48:10 UTC
Tested on ManageIQ nightly build from July 14 2017 
(Version master.20170725053733_604c5f9):

The vnic profile list on ManageIQ indeed reflect RHV vNic profile list.

For each vNic profile that exist on RHV,
VM provision worked well, the profile attached to the created VM was correct, 
and the VM was run.
The VM provision request finished successfully.

For profile <Empty> -
VM provision succeeded. VM was started. Network interface was set to an empty profile.

for profile <None> - 
VM provision succeeded, VM was started. Network interface was set to the template's vNic profile


** It is required to change the <None> option into something more clear, 
that will reflect it's actual purpose: 'use template nics'.

Comment 5 Jan Zmeskal 2017-11-16 16:46:21 UTC
On CFME version 5.9.0.8.20171109215303_ed87902 there is still the option <None>. Please take a look at Ilanit's comment #4. This option name does obscure its real purpose.

Comment 8 Andrew Dahms 2018-02-26 23:47:31 UTC
Updating the doc text.

Comment 9 Ilanit Stein 2018-03-08 07:03:56 UTC
This bug should be verified by running VM provision, from all types 
(Native, PXE, ISO) with all Network options.


Note You need to log in before you can comment on or make changes to this bug.